Extending Qt Creator Manual | LocatorFilterEntry

Extending Qt Creator Manual 4.5.2

# LocatorFilterEntry Class

(Core::LocatorFilterEntry)

- List of all members, including inherited members

## Public Types

class | HighlightInfo

## Public Functions

| LocatorFilterEntry() = default
| LocatorFilterEntry(ILocatorFilter *fromFilter, const QString &name, const QVariant &data, Utils::optional<QIcon> icon = Utils::nullopt)
bool | operator==(const LocatorFilterEntry &other) const

## Static Public Members

bool | compareLexigraphically(const Core::LocatorFilterEntry &lhs, const Core::LocatorFilterEntry &rhs)

## Member Function Documentation

### `[default]` LocatorFilterEntry::LocatorFilterEntry()

Default constructs an instance of LocatorFilterEntry.

### LocatorFilterEntry::LocatorFilterEntry(ILocatorFilter *fromFilter, const QString &name, const QVariant &data, Utils::optional<QIcon> icon = Utils::nullopt)

Default constructs an instance of LocatorFilterEntry.

### `[static]` bool LocatorFilterEntry::compareLexigraphically(const Core::LocatorFilterEntry &lhs, const Core::LocatorFilterEntry &rhs)

### bool LocatorFilterEntry::operator==(const LocatorFilterEntry &other) const